### Function

# Ide source_search_context_backward_finish2

#### Declaration

    gboolean
    ide_source_search_context_backward_finish2 (
      GtkSourceSearchContext* search,
      GAsyncResult* result,
      GtkTextIter* match_begin,
      GtkTextIter* match_end,
      gboolean* has_wrapped_around,
      GError** error
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`search` | `GtkSourceSearchContext`
| A `GtkSourceSearchContext`.
| The data is owned by the caller of the function.
`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`match_begin` | `GtkTextIter`
| A `GtkTextIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`match_end` | `GtkTextIter`
| A `GtkTextIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`has_wrapped_around` | `gboolean*`
| A location to a boolean.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.